com.google.gwt.dom.client

## Class StyleInjector.StyleInjectorImplIE

- java.lang.Object
- - com.google.gwt.dom.client.StyleInjector.StyleInjectorImpl
  - - com.google.gwt.dom.client.StyleInjector.StyleInjectorImplIE

Enclosing class:
  StyleInjector

    public static class StyleInjector.StyleInjectorImplIE
    extends StyleInjector.StyleInjectorImpl

IE doesn't allow manipulation of a style element through DOM methods. There is also a hard-coded limit on the number of times that createStyleSheet can be called before IE8-9 starts throwing exceptions.

### Constructor Summary

Constructors
Constructor and Description
`StyleInjectorImplIE()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendContents(StyleElement style, java.lang.String contents)`
`StyleElement` `injectStyleSheet(java.lang.String contents)`
`StyleElement` `injectStyleSheetAtEnd(java.lang.String contents)`
`StyleElement` `injectStyleSheetAtStart(java.lang.String contents)`
`void` `prependContents(StyleElement style, java.lang.String contents)`

### Methods inherited from class com.google.gwt.dom.client.StyleInjector.StyleInjectorImpl

`setContents`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StyleInjectorImplIE

    public StyleInjectorImplIE()

### Method Detail

#### appendContents

    public void appendContents(StyleElement style,
                               java.lang.String contents)

#### injectStyleSheet

    public StyleElement injectStyleSheet(java.lang.String contents)

Overrides:
  `injectStyleSheet` in class `StyleInjector.StyleInjectorImpl`

#### injectStyleSheetAtEnd

    public StyleElement injectStyleSheetAtEnd(java.lang.String contents)

Overrides:
  `injectStyleSheetAtEnd` in class `StyleInjector.StyleInjectorImpl`

#### injectStyleSheetAtStart

    public StyleElement injectStyleSheetAtStart(java.lang.String contents)

Overrides:
  `injectStyleSheetAtStart` in class `StyleInjector.StyleInjectorImpl`

#### prependContents

    public void prependContents(StyleElement style,
                                java.lang.String contents)